/* ss-core/com/serial.h
 *
 * Facilitaties communication with devices on RS232 serial ports.
 *
 * Copyright (C) 2003, 2004
 * Zorica Majdov <zmajdov@virtuoso.com>
 * Andy Goth     <unununium@openverse.com>
 *
 * This code is available under the GNU General Public License; see COPYING. */

#ifndef SEEN_SSCORE_COM_SERIAL_H
#define SEEN_SSCORE_COM_SERIAL_H

#include "ss-core/lib/device.h"

/* Opens a serial port and connects it to device 'd'.  The serial port is
 * configured according to the given line parameters. */
extern int serial_open(device_t* d, int data_bits, int stop_bits, int parity,
                       int baud_rate, int sw_flow_ctrl, int hw_flow_ctrl);

#endif

/* vim: set ts=4 sts=4 sw=4 tw=80 et: */
/* EOF */
