/* ss-core/main.c
 *
 * Entry point for the SmartShelf core program.
 *
 * Copyright (C) 2003, 2004
 * Andy Goth     <unununium@openverse.com>
 * Zorica Majdov <zmajdov@virtuoso.com>
 *
 * This code is available under the GNU General Public License; see COPYING. */

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/poll.h>
#include <unistd.h>

#define HW_CMD  "ss-hw"
#define GUI_CMD "ss-gui"

int exec_prog(char* cmd, int stdin_fd, int stdout_fd)
{
    /* - Fork, dup2, and exec
     * - Self pipe */
}

int main(int argc, char** argv)
{
    int i;
    int pipes[4][2];

    /* Start a new process group. */
    if (setpgrp() == -1) {
        perror("setpgrp");
        return EXIT_FAILURE;
    }

    /* Create pipes. */
    for (i = 0; i < 4; ++i) {
        if (pipe(pipes[i]) == -1) {
            perror("pipe");
            return EXIT_FAILURE;
        }
    }

    /* Exec child processes. */
    if (exec_prog(HW_CMD, pipes[0][0], pipes[1][1]) == -1) {
        fprintf("ss-core: Failure executing `%s'\n", HW_CMD);
        return EXIT_FAILURE;
    }
    if (exec_prog(GUI_CMD, pipes[2][0], pipes[3][1])) {
        fprintf("ss-core: Failure executing `%s'\n", GUI_CMD);
        return EXIT_FAILURE;
    }

    return EXIT_SUCCESS;
}

/* vim: set ts=4 sts=4 sw=4 tw=80 et: */
